clang-tools 8.0.0

Namespaces | Functions
clang Namespace Reference

===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===// More...

## Namespaces
| ast_matchers
| change_namespace
| clangd
| doc
| find_all_symbols
| include_fixer
| move
| query
| reorder_fields
| replace
| tidy
| tooling

## Functions
static bool | isBaseOf (const Type *DerivedType, const Type *BaseType)
static const TypeVec | throwsException (const Stmt *St, const TypeVec &Caught, llvm::SmallSet< const FunctionDecl *, 32 > &CallStack)
static const TypeVec | throwsException (const FunctionDecl *Func, llvm::SmallSet< const FunctionDecl *, 32 > &CallStack)
static const TypeVec | throwsException (const FunctionDecl *Func)
static Token | getTokenAtLoc (SourceLocation Loc, const MatchFinder::MatchResult &MatchResult, IdentifierTable &IdentTable)

## Detailed Description

===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//

===– Representation.h - ClangDoc Representation ----------—*- C++ -*-===//

## Function Documentation

## ◆ getTokenAtLoc()

static Token clang::getTokenAtLoc | ( | SourceLocation | Loc,
|  | const MatchFinder::MatchResult & | MatchResult,
|  | IdentifierTable & | IdentTable
| ) |  |
| static

Definition at line 24 of file IntegerTypesCheck.cpp.

## ◆ isBaseOf()

static bool clang::isBaseOf | ( | const Type * | DerivedType,
|  | const Type * | BaseType
| ) |  |
| static

Definition at line 26 of file ExceptionEscapeCheck.cpp.

References throwsException().

Referenced by throwsException().

## ◆ throwsException() [1/3]

static const TypeVec clang::throwsException | ( | const Stmt * | St,
|  | const TypeVec & | Caught,
|  | llvm::SmallSet< const FunctionDecl *, 32 > & | CallStack
| ) |  |
| static

Definition at line 63 of file ExceptionEscapeCheck.cpp.

References isBaseOf(), and Results.

Referenced by clang::ast_matchers::AST_MATCHER_P(), isBaseOf(), and throwsException().

## ◆ throwsException() [2/3]

static const TypeVec clang::throwsException | ( | const FunctionDecl * | Func,
|  | llvm::SmallSet< const FunctionDecl *, 32 > & | CallStack
| ) |  |
| static

Definition at line 41 of file ExceptionEscapeCheck.cpp.

References Result, and throwsException().

## ◆ throwsException() [3/3]

static const TypeVec clang::throwsException | ( | const FunctionDecl * | Func | ) |
| static

Definition at line 133 of file ExceptionEscapeCheck.cpp.

References throwsException().